Problemy z pakietami - komunikat przy starcie Ubuntu


(sla17) #1

Witam,

trochę namieszałem i wyskakuje mi przy uruchomieniu błąd systemowy, a po rozwinięciu :

Przepraszamy, instalacja lub aktualizacja pakietu :

-


(LeserGD) #2

Próbowałeś:

sudo apt-get install unity

?


(marcin82) #3

Jak wyżej i czy zmieniałeś coś w repozytoriach (/etc/apt/sources.list)? Jeśli tak, a chcesz wrócić do stanu poprzedniego wstaw takie repozytoria:

http://www.ubuntu-pomoc.org/repozytoria ... y-narwhal/ . Potem wykonaj:

sudo apt-get update && sudo apt-get upgrade

(sla17) #4
mateusz@mateusz-D1607:~$ sudo gedit /etc/apt/sources.list


**(gedit:4137): WARNING**: Could not load theme icon gtk-home: Brak ikony "gtk-home" w motywie


(gedit:4137): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed


(gedit:4137): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel', but failed: Utworzenie pliku "/root/.local/share/recently-used.xbel.1ZMC1V" się nie powiodło: Nie ma takiego pliku ani katalogu


(gedit:4137): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel', but failed: Nie ma takiego pliku ani katalogu


(gedit:4137): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel', but failed: Utworzenie pliku "/root/.local/share/recently-used.xbel.O0PN1V" się nie powiodło: Nie ma takiego pliku ani katalogu


(gedit:4137): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel', but failed: Nie ma takiego pliku ani katalogu


(gedit:4137): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel', but failed: Utworzenie pliku "/root/.local/share/recently-used.xbel.Q0PQ1V" się nie powiodło: Nie ma takiego pliku ani katalogu


(gedit:4137): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel', but failed: Nie ma takiego pliku ani katalogu

mateusz@mateusz-D1607:~$ sudo apt-get update

Ign http://extras.ubuntu.com natty InRelease

Ign http://pl.archive.ubuntu.com natty InRelease                               

Ign http://pl.archive.ubuntu.com natty-updates InRelease                       

Ign http://deb.opera.com stable InRelease                                      

Ign http://archive.canonical.com natty InRelease                               

Ign http://security.ubuntu.com natty-security InRelease                        

Ign http://pl.archive.ubuntu.com natty-backports InRelease                     

Traf http://pl.archive.ubuntu.com natty Release.gpg                            

Ign http://mirrors.dotsrc.org natty-getdeb InRelease                           

Ign http://ppa.launchpad.net natty InRelease                                   

Ign http://ppa.launchpad.net natty InRelease                                   

Ign http://ppa.launchpad.net natty InRelease                                   

Traf http://extras.ubuntu.com natty Release.gpg                                

Traf http://deb.opera.com stable Release.gpg                                   

Traf http://archive.canonical.com natty Release.gpg                            

Traf http://pl.archive.ubuntu.com natty-updates Release.gpg                    

Traf http://security.ubuntu.com natty-security Release.gpg                     

Ign http://ppa.launchpad.net natty InRelease                                   

Ign http://ppa.launchpad.net natty InRelease                                   

Ign http://ppa.launchpad.net natty InRelease                                   

Traf http://ppa.launchpad.net natty Release.gpg                                

Traf http://extras.ubuntu.com natty Release                                    

Traf http://pl.archive.ubuntu.com natty-backports Release.gpg                  

Traf http://archive.canonical.com natty Release                                

Traf http://deb.opera.com stable Release                                       

Traf http://security.ubuntu.com natty-security Release                         

Pob: 1 http://mirrors.dotsrc.org natty-getdeb Release.gpg [836 B]              

Traf http://packages.medibuntu.org natty InRelease                             

Traf http://pl.archive.ubuntu.com natty Release                                

Traf http://ppa.launchpad.net natty Release.gpg                                

Ign http://ppa.launchpad.net natty Release.gpg                                 

Traf http://ppa.launchpad.net natty Release.gpg                                

Traf http://ppa.launchpad.net natty Release.gpg                                

Traf http://pl.archive.ubuntu.com natty-updates Release                        

Traf http://ppa.launchpad.net natty Release.gpg                                

Traf http://pl.archive.ubuntu.com natty-backports Release                      

Ign http://linux.dropbox.com natty InRelease                                   

Pob: 2 http://mirrors.dotsrc.org natty-getdeb Release [7240 B]                 

Traf http://ppa.launchpad.net natty Release                                    

Traf http://ppa.launchpad.net natty Release                                    

Ign http://ppa.launchpad.net natty Release                                     

Traf http://ppa.launchpad.net natty Release                                    

Traf http://extras.ubuntu.com natty/main Sources                               

Traf http://archive.canonical.com natty/partner i386 Packages                  

Traf http://ppa.launchpad.net natty Release                                    

Traf http://extras.ubuntu.com natty/main i386 Packages                         

Ign http://extras.ubuntu.com natty/main TranslationIndex                       

Traf http://deb.opera.com stable/non-free i386 Packages                        

Ign http://archive.canonical.com natty/partner TranslationIndex                

Traf http://linux.dropbox.com natty Release.gpg                                

Traf http://ppa.launchpad.net natty Release                                    

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Traf http://security.ubuntu.com natty-security/main Sources                    

Ign http://deb.opera.com stable/non-free TranslationIndex                      

Traf http://security.ubuntu.com natty-security/restricted Sources              

Traf http://security.ubuntu.com natty-security/universe Sources                

Traf http://security.ubuntu.com natty-security/multiverse Sources              

Traf http://security.ubuntu.com natty-security/main i386 Packages              

Traf http://pl.archive.ubuntu.com natty/main Sources                           

Traf http://linux.dropbox.com natty Release                                    

Traf http://security.ubuntu.com natty-security/restricted i386 Packages        

Traf http://security.ubuntu.com natty-security/universe i386 Packages          

Traf http://security.ubuntu.com natty-security/multiverse i386 Packages        

Ign http://security.ubuntu.com natty-security/main TranslationIndex            

Ign http://security.ubuntu.com natty-security/multiverse TranslationIndex      

Ign http://security.ubuntu.com natty-security/restricted TranslationIndex      

Ign http://mirrors.dotsrc.org natty-getdeb Release                             

Traf http://pl.archive.ubuntu.com natty/restricted Sources                     

Traf http://pl.archive.ubuntu.com natty/universe Sources                       

Traf http://pl.archive.ubuntu.com natty/multiverse Sources                     

Traf http://pl.archive.ubuntu.com natty/main i386 Packages                     

Traf http://pl.archive.ubuntu.com natty/restricted i386 Packages               

Traf http://pl.archive.ubuntu.com natty/universe i386 Packages                 

Traf http://pl.archive.ubuntu.com natty/multiverse i386 Packages               

Ign http://security.ubuntu.com natty-security/universe TranslationIndex        

Ign http://mirrors.dotsrc.org natty-getdeb/apps i386 Packages/DiffIndex        

Ign http://pl.archive.ubuntu.com natty/main TranslationIndex                   

Ign http://pl.archive.ubuntu.com natty/multiverse TranslationIndex             

Ign http://pl.archive.ubuntu.com natty/restricted TranslationIndex             

Ign http://pl.archive.ubuntu.com natty/universe TranslationIndex               

Traf http://pl.archive.ubuntu.com natty-updates/main Sources                   

Traf http://pl.archive.ubuntu.com natty-updates/restricted Sources             

Traf http://ppa.launchpad.net natty/main i386 Packages                         

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Traf http://pl.archive.ubuntu.com natty-updates/universe Sources               

Traf http://pl.archive.ubuntu.com natty-updates/multiverse Sources             

Traf http://pl.archive.ubuntu.com natty-updates/main i386 Packages             

Traf http://pl.archive.ubuntu.com natty-updates/restricted i386 Packages       

Ign http://mirrors.dotsrc.org natty-getdeb/games i386 Packages/DiffIndex       

Ign http://mirrors.dotsrc.org natty-getdeb/apps TranslationIndex               

Ign http://mirrors.dotsrc.org natty-getdeb/games TranslationIndex              

Traf http://ppa.launchpad.net natty/main i386 Packages                         

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Traf http://ppa.launchpad.net natty/main Sources                               

Traf http://ppa.launchpad.net natty/main i386 Packages                         

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Traf http://ppa.launchpad.net natty/main Sources                               

Traf http://pl.archive.ubuntu.com natty-updates/universe i386 Packages         

Traf http://pl.archive.ubuntu.com natty-updates/multiverse i386 Packages       

Ign http://pl.archive.ubuntu.com natty-updates/main TranslationIndex           

Ign http://pl.archive.ubuntu.com natty-updates/multiverse TranslationIndex     

Ign http://pl.archive.ubuntu.com natty-updates/restricted TranslationIndex     

Ign http://pl.archive.ubuntu.com natty-updates/universe TranslationIndex       

Traf http://ppa.launchpad.net natty/main i386 Packages                         

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Traf http://ppa.launchpad.net natty/main Sources                               

Traf http://mirrors.dotsrc.org natty-getdeb/apps i386 Packages                 

Traf http://linux.dropbox.com natty/main i386 Packages                         

Traf http://pl.archive.ubuntu.com natty-backports/main i386 Packages           

Traf http://pl.archive.ubuntu.com natty-backports/restricted i386 Packages     

Traf http://pl.archive.ubuntu.com natty-backports/universe i386 Packages       

Traf http://pl.archive.ubuntu.com natty-backports/multiverse i386 Packages     

Traf http://ppa.launchpad.net natty/main i386 Packages                         

Ign http://ppa.launchpad.net natty/main TranslationIndex                       

Błąd http://ppa.launchpad.net natty/main Sources                               

  404 Not Found

Błąd http://ppa.launchpad.net natty/main i386 Packages                         

  404 Not Found

Traf http://mirrors.dotsrc.org natty-getdeb/games i386 Packages                

Ign http://pl.archive.ubuntu.com natty-backports/main TranslationIndex         

Ign http://pl.archive.ubuntu.com natty-backports/multiverse TranslationIndex   

Ign http://pl.archive.ubuntu.com natty-backports/restricted TranslationIndex   

Ign http://pl.archive.ubuntu.com natty-backports/universe TranslationIndex     

Traf http://pl.archive.ubuntu.com natty/main Translation-pl                    

Traf http://pl.archive.ubuntu.com natty/multiverse Translation-pl              

Ign http://linux.dropbox.com natty/main TranslationIndex                       

Ign http://archive.canonical.com natty/partner Translation-pl_PL               

Traf http://pl.archive.ubuntu.com natty/restricted Translation-pl              

Traf http://pl.archive.ubuntu.com natty/universe Translation-pl                

Ign http://extras.ubuntu.com natty/main Translation-pl_PL                      

Ign http://archive.canonical.com natty/partner Translation-pl                  

Ign http://security.ubuntu.com natty-security/main Translation-pl_PL           

Ign http://security.ubuntu.com natty-security/main Translation-pl              

Ign http://security.ubuntu.com natty-security/main Translation-en              

Ign http://security.ubuntu.com natty-security/multiverse Translation-pl_PL     

Ign http://security.ubuntu.com natty-security/multiverse Translation-pl        

Ign http://security.ubuntu.com natty-security/multiverse Translation-en        

Ign http://security.ubuntu.com natty-security/restricted Translation-pl_PL     

Ign http://extras.ubuntu.com natty/main Translation-pl                         

Ign http://archive.canonical.com natty/partner Translation-en                  

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://security.ubuntu.com natty-security/restricted Translation-pl        

Ign http://security.ubuntu.com natty-security/restricted Translation-en        

Ign http://extras.ubuntu.com natty/main Translation-en                         

Ign http://security.ubuntu.com natty-security/universe Translation-pl_PL       

Ign http://security.ubuntu.com natty-security/universe Translation-pl          

Ign http://security.ubuntu.com natty-security/universe Translation-en          

Ign http://deb.opera.com stable/non-free Translation-pl_PL                     

Ign http://deb.opera.com stable/non-free Translation-pl                        

Ign http://deb.opera.com stable/non-free Translation-en                        

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://mirrors.dotsrc.org natty-getdeb/apps Translation-pl_PL              

Ign http://mirrors.dotsrc.org natty-getdeb/apps Translation-pl                 

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://ppa.launchpad.net natty/main Translation-pl_PL                      

Ign http://mirrors.dotsrc.org natty-getdeb/apps Translation-en                 

Ign http://mirrors.dotsrc.org natty-getdeb/games Translation-pl_PL             

Ign http://ppa.launchpad.net natty/main Translation-pl                         

Ign http://ppa.launchpad.net natty/main Translation-en                         

Ign http://mirrors.dotsrc.org natty-getdeb/games Translation-pl                

Ign http://mirrors.dotsrc.org natty-getdeb/games Translation-en                

Ign http://pl.archive.ubuntu.com natty/main Translation-pl_PL                  

Ign http://pl.archive.ubuntu.com natty/main Translation-en                     

Ign http://pl.archive.ubuntu.com natty/multiverse Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty/multiverse Translation-en

Ign http://pl.archive.ubuntu.com natty/restricted Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty/restricted Translation-en

Ign http://pl.archive.ubuntu.com natty/universe Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty/universe Translation-en

Ign http://pl.archive.ubuntu.com natty-updates/main Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-updates/main Translation-pl

Ign http://pl.archive.ubuntu.com natty-updates/main Translation-en

Ign http://pl.archive.ubuntu.com natty-updates/multiverse Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-updates/multiverse Translation-pl

Ign http://pl.archive.ubuntu.com natty-updates/multiverse Translation-en

Ign http://pl.archive.ubuntu.com natty-updates/restricted Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-updates/restricted Translation-pl       

Ign http://pl.archive.ubuntu.com natty-updates/restricted Translation-en       

Ign http://pl.archive.ubuntu.com natty-updates/universe Translation-pl_PL      

Ign http://pl.archive.ubuntu.com natty-updates/universe Translation-pl         

Ign http://pl.archive.ubuntu.com natty-updates/universe Translation-en         

Ign http://pl.archive.ubuntu.com natty-backports/main Translation-pl_PL        

Ign http://pl.archive.ubuntu.com natty-backports/main Translation-pl           

Ign http://pl.archive.ubuntu.com natty-backports/main Translation-en

Ign http://pl.archive.ubuntu.com natty-backports/multiverse Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-backports/multiverse Translation-pl

Ign http://pl.archive.ubuntu.com natty-backports/multiverse Translation-en

Ign http://pl.archive.ubuntu.com natty-backports/restricted Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-backports/restricted Translation-pl

Ign http://pl.archive.ubuntu.com natty-backports/restricted Translation-en

Ign http://pl.archive.ubuntu.com natty-backports/universe Translation-pl_PL

Ign http://pl.archive.ubuntu.com natty-backports/universe Translation-pl

Ign http://pl.archive.ubuntu.com natty-backports/universe Translation-en

Ign http://linux.dropbox.com natty/main Translation-pl_PL    

Ign http://linux.dropbox.com natty/main Translation-pl       

Traf http://packages.medibuntu.org natty/free i386 Packages  

Ign http://linux.dropbox.com natty/main Translation-en       

Traf http://packages.medibuntu.org natty/non-free i386 Packages

Ign http://packages.medibuntu.org natty/free TranslationIndex

Ign http://packages.medibuntu.org natty/non-free TranslationIndex

Ign http://packages.medibuntu.org natty/free Translation-pl_PL                 

Ign http://packages.medibuntu.org natty/free Translation-pl

Ign http://packages.medibuntu.org natty/free Translation-en

Ign http://packages.medibuntu.org natty/non-free Translation-pl_PL

Ign http://packages.medibuntu.org natty/non-free Translation-pl

Ign http://packages.medibuntu.org natty/non-free Translation-en

Pobrano 837 B w 14s (57 B/s)

W: Błąd GPG: http://mirrors.dotsrc.org natty-getdeb Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A8A515F046D7E7CF

W: Nie udało się pobrać http://ppa.launchpad.net/elementaryart/ppa/ubuntu/dists/natty/main/source/Sources 404 Not Found


W: Nie udało się pobrać http://ppa.launchpad.net/elementaryart/ppa/ubuntu/dists/natty/main/binary-i386/Packages 404 Not Found


E: Some index files failed to download. They have been ignored, or old ones used instead.

mateusz@mateusz-D1607:~$ sudo apt-get upgrade

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.

5 nie w pełni zainstalowanych lub usuniętych.

Po tej operacji zostanie dodatkowo użyte 0 B miejsca na dysku.

Kontynuować [T/n]? y

Konfigurowanie gnome-icon-theme (2.31.0-0ubuntu2) ...

update-alternatives: error: ścieżka alternatywy /usr/share/icons/gnome/scalable/places/ubuntu-logo.svg nie istnieje.

dpkg: błąd przetwarzania gnome-icon-theme (--configure):

 podproces zainstalowany skrypt post-installation zwrócił kod błędu 2

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie brasero:

 brasero zależy od gnome-icon-theme; jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania brasero (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie evince:

 evince zależy od gnome-icon-theme (>= 2.17.1); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania evince (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnome-control-center:

 gnome-control-center zależy od gnome-icon-theme (>= 2.24); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-control-center (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnoNo apport report written because the error message indicates its a followup error from a previous failure.

           No apport report written because the error message indicates its a followup error from a previous failure.

                                     No apport report written because MaxReports is reached already

                   No apport report written because MaxReports is reached already

 me-screensaver:

 gnome-screensaver zależy od gnome-icon-theme (>= 2.15.90); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-screensaver (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

Wystąpiły błędy podczas przetwarzania:

 gnome-icon-theme

 brasero

 evince

 gnome-control-center

 gnome-screensaver

E: Sub-process /usr/bin/dpkg returned an error code (1)

LeserGD , także próbowałem, to samo :wink:


(LeserGD) #5

A polecenia z tutoriala:

sudo apt-get install ppa-purge

sudo ppa-purge ppa:gnome3-team/gnome3

zwracały jakieś błędy, czy poszło bez problemu?


(marcin82) #6

Zrobimy inaczej ... Zapisz sobie ten plik na Pulpicie jako sources.list :

# Ubuntu - podstawowe repozytoria

deb http://pl.archive.ubuntu.com/ubuntu/ natty main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/ natty main restricted universe multiverse

deb http://pl.archive.ubuntu.com/ubuntu/ natty-updates main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/ natty-updates main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu natty-security main restricted universe multiverse

deb-src http://security.ubuntu.com/ubuntu natty-security main restricted universe multiverse

deb http://extras.ubuntu.com/ubuntu natty main

deb-src http://extras.ubuntu.com/ubuntu natty main


# Ubuntu Backports

deb http://pl.archive.ubuntu.com/ubuntu/ natty-backports main restricted universe multiverse

# deb-src http://pl.archive.ubuntu.com/ubuntu/ natty-backports main restricted universe multiverse


# Ubuntu Partner

deb http://archive.canonical.com/ubuntu natty partner

# deb-src http://archive.canonical.com/ubuntu natty partner


# Medibuntu

deb http://packages.medibuntu.org/ natty free non-free

# deb-src http://packages.medibuntu.org/ natty free non-free


# GetDeb

# deb http://archive.getdeb.net/ubuntu natty-getdeb apps games

# ponieważ główny serwer ostatnimi czasy nie działa - tutaj mirror:

deb http://mirrors.dotsrc.org/getdeb/ubuntu natty-getdeb apps games


# Ubuntu Tewak

deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu natty main

# deb-src http://ppa.launchpad.net/tualatrix/ppa/ubuntu natty main


# Wine

deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu natty main

# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu natty main

Następie zamknij Synaptic, uruchom konsolę i : - wejdź na Pulpit:

cd Pulpit
  • następnie podmień zawartość pliku sources.list taką magiczną sztuczką:

    sudo cat sources.list > /etc/apt/sources.list

Potem jeszcze raz:

sudo apt-get update && sudo apt-get upgrade

W tym dlugim logu masz i błędy związane z brakiem klucza GPG do podpisywania pakietów jak i błędy 404 - nieaktywne repozytoria. Zawsze staraj się korzystać ze standardowych repozytoriów. PPA też bym do końca nie ufał ...


(sla17) #7

Wklejałem dokładnie tak jak mówiłeś, i nadal to samo

W: Błąd GPG: http://mirrors.dotsrc.org natty-getdeb Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A8A515F046D7E7CF

W: Nie udało się pobrać http://ppa.launchpad.net/elementaryart/ppa/ubuntu/dists/natty/main/source/Sources 404 Not Found


W: Nie udało się pobrać http://ppa.launchpad.net/elementaryart/ppa/ubuntu/dists/natty/main/binary-i386/Packages 404 Not Found


E: Some index files failed to download. They have been ignored, or old ones used instead.

Po wklepaniu upgrade dokładnie to samo, co wyżej. Nie wiem co źle robię, przecież zapisywałem tamto, potem kopiowałem dokładnie i wklejałem tak, jak pisałeś.

LeserGD , szczerze mówiąc nawet nie zwróciłem uwagi (wiem, jak można, ale to tylko ja tak potrafię) :wink:


(marcin82) #8

W takim razie zajrzyj tutaj:

http://newinubuntu.blogspot.com/2010/08 ... znego.html

Nazwę repozytorium dostosuj odpowiednio ALBO wyłącz po prostu to repozytorium w Synapticu najlepiej.


(sla17) #9
mateusz@mateusz-D1607:~$ sudo add-apt-repository ppa:nilarimogard/webupd8

[sudo] password for mateusz: 

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80/ --recv 1DB29AFFF6C70907B57AA31F531EE72F4C9D234C

gpg: zapytanie o klucz 4C9D234C z hkp serwera keyserver.ubuntu.com

gpg: klucz 4C9D234C: "Launchpad webupd8" bez zmian

gpg: Ogółem przetworzonych kluczy: 1

gpg: bez zmian: 1

mateusz@mateusz-D1607:~$ sudo apt-get install launchpad-getkeys

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

E: Nie udało się odnaleźć pakietu launchpad-getkeys

mateusz@mateusz-D1607:~$

(marcin82) #10

Pisałem - dostosuj odpowiednio ... Uruchom Synaptic i wyłącz to trefne repozytorium - nie wiem do czego ono służy, ale jako dodatkowe PPA nie zagraża na pewno systemowi.


(sla17) #11

Dobra, a jak to zrobić? Trochę to wszystko zakręcone, znalazłem takie coś jak "ppa-purge" - to mam usunąć, czy całkowicie usunąć, czy źle kombinuję :)?


(marcin82) #12

Synaptic -> Ustawienia -> Repozytoria. Odznacz dwie linijki, które odnoszą się do tych adresów - podałeś jej tutaj:

problemy-pakietami-komunikat-przy-starcie-ubuntu-t460308.html#p2911953 , czyli " ... /elementary/Packages i /elementary/Sources"


(sla17) #13
(...)

Ign http://packages.medibuntu.org natty/free Translation-pl  

Ign http://packages.medibuntu.org natty/free Translation-en

Ign http://packages.medibuntu.org natty/non-free Translation-pl_PL

Ign http://packages.medibuntu.org natty/non-free Translation-pl

Ign http://packages.medibuntu.org natty/non-free Translation-en

Pobrano 837 B w 22s (37 B/s)

Czytanie list pakietów... Gotowe

W: Błąd GPG: http://mirrors.dotsrc.org natty-getdeb Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A8A515F046D7E7CF

Nie wiem czy miałem zapuścić upgrade, ale zapuściłem (przecież nie zaszkodzi

mateusz@mateusz-D1607:~$ sudo apt-get upgrade

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

Następujące pakiety zostaną zaktualizowane:

  gimp-plugin-registry

1 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.

5 nie w pełni zainstalowanych lub usuniętych.

Konieczne pobranie 1606 kB archiwów.

Po tej operacji zostanie dodatkowo użyte 16,4 kB miejsca na dysku.

Kontynuować [T/n]? y

Pob: 1 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu/ natty/main gimp-plugin-registry i386 3.5.3-1~webupd8~natty1 [1606 kB]

Pobrano 1606 kB w 2s (617 kB/s)                 

(Odczytywanie bazy danych ... 210589 files and directories currently installed.)

Przygotowanie do zastąpienia gimp-plugin-registry 3.5.1-1 (wykorzystując .../gimp-plugin-registry_3.5.3-1~webupd8~natty1_i386.deb) ...

Rozpakowanie pakietu zastępującego gimp-plugin-registry ...

Konfigurowanie gnome-icon-theme (2.31.0-0ubuntu2) ...

update-alternatives: error: ścieżka alternatywy /usr/share/icons/gnome/scalable/places/ubuntu-logo.svg nie istnieje.

dpkg: błąd przetwarzania gnome-icon-theme (--configure):

 podproces zainstalowany skrypt post-installation zwrócił kod błędu 2

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie brasero:

 brasero zależy od gnome-icon-theme; jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania brasero (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie evince:

 evince zależy od gnome-icon-theme (>= 2.17.1); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania evince (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnome-control-center:

 gnome-control-center zależy od gnome-icon-theme (>= 2.24); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-control-center (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnoNo apport report written because the error message indicates its a followup error from a previous failure.

           No apport report written because the error message indicates its a followup error from a previous failure.

                                     No apport report written because MaxReports is reached already

                   No apport report written because MaxReports is reached already

 me-screensaver:

 gnome-screensaver zależy od gnome-icon-theme (>= 2.15.90); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-screensaver (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

Konfigurowanie gimp-plugin-registry (3.5.3-1~webupd8~natty1) ...

Wystąpiły błędy podczas przetwarzania:

 gnome-icon-theme

 brasero

 evince

 gnome-control-center

 gnome-screensaver

E: Sub-process /usr/bin/dpkg returned an error code (1)

(marcin82) #14

Ostatni pomysł. Klepnij polecenie:

sudo apt-get -f install

Potem znowu:

sudo apt-get update && sudo apt-get upgrade

(sla17) #15
mateusz@mateusz-D1607:~$ sudo apt-get -f install

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.

5 nie w pełni zainstalowanych lub usuniętych.

Po tej operacji zostanie dodatkowo użyte 0 B miejsca na dysku.

Konfigurowanie gnome-icon-theme (2.31.0-0ubuntu2) ...

update-alternatives: error: ścieżka alternatywy /usr/share/icons/gnome/scalable/places/ubuntu-logo.svg nie istnieje.

dpkg: błąd przetwarzania gnome-icon-theme (--configure):

 podproces zainstalowany skrypt post-installation zwrócił kod błędu 2

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie brasero:

 brasero zależy od gnome-icon-theme; jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania brasero (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie evince:

 evince zależy od gnome-icon-theme (>= 2.17.1); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania evince (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnome-control-center:

 gnome-control-center zależy od gnome-icon-theme (>= 2.24); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-control-center (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie gnoNo apport report written because the error message indicates its a followup error from a previous failure.

           No apport report written because the error message indicates its a followup error from a previous failure.

                                     No apport report written because MaxReports is reached already

                   No apport report written because MaxReports is reached already

 me-screensaver:

 gnome-screensaver zależy od gnome-icon-theme (>= 2.15.90); jednakże:

  Pakiet gnome-icon-theme nie jest jeszcze skonfigurowany.

dpkg: błąd przetwarzania gnome-screensaver (--configure):

 problemy z zależnościami - pozostawiony nieskonfigurowany

Wystąpiły błędy podczas przetwarzania:

 gnome-icon-theme

 brasero

 evince

 gnome-control-center

 gnome-screensaver

E: Sub-process /usr/bin/dpkg returned an error code (1)

mateusz@mateusz-D1607:~$

Reszta to samo co wcześniej :confused:


(LeserGD) #16

Tak tylko głośno myślę, może po prostu pakiet gnome-icon-theme jest uszkodzony w lokalnych plikach. Spróbuj przed procedurą podaną przez marcin'82 wydać polecenie:

sudo apt-get clean

potem podane wyżej polecenia.


(marcin82) #17

Właśnie na to by wychodziło ... pytanie jest takie, czy reinstalacja / ewentualne usunięcie tego pakietu nie będzie chciało wywalić na przykład połowy gnome ...


(sla17) #18

Nic, z tego, czyszczenie nic nie dało, nadal wywala to samo.

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

The following packages were automatically installed and are no longer required:

  lirc python-desktopcouch-records libg15render1 desktopcouch erlang-inets

  erlang-syntax-tools python-pywapi libftdi1 libsdl-gfx1.2-4 libsctp1

  erlang-mnesia libmono-system-runtime2.0-cil libsdl-net1.2

  python-desktopcouch-application couchdb-bin python-beautifulsoup

  python-couchdb libclutter-cil setserial libmono-winforms2.0-cil erlang-xmerl

  libzeitgeist0.1-cil libmono-webbrowser0.5-cil libsdl-ttf2.0-0 libmikmod2

  libtaoframework-sdl1.2-cil libnunit2.4-cil libg15daemon-client1 lksctp-tools

  erlang-crypto libsdl-mixer1.2 libclutter-gtk-cil libchamplain-0.8-1

  libchamplain-gtk-0.8-1 libmono-accessibility2.0-cil

  libtaoframework-opengl3.0-cil libg15-1 gromit erlang-ssl libmozjs185-1.0

  lcdproc erlang-runtime-tools erlang-base erlang-public-key libsmpeg0

Aby je usunąć należy użyć "apt-get autoremove".

Zostaną zainstalowane następujące dodatkowe pakiety:

  akonadi-server apturl-kde kdepim-runtime kdepimlibs-kio-plugins kdesudo

  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4

  libakonadiprotocolinternals1 libboost-program-options1.42.0 libkabc4

  libkcal4 libkimap4 libkldap4 libkmime4 libknewstuff2-4 libkpimutils4

  libkprintutils4 libkresources4 libmailtransport4 libmicroblog4 libqt4-help

  libqt4-scripttools libqt4-test libqtassistantclient4 mysql-client-core-5.1

  mysql-server-core-5.1 python-kde4 python-qt4 python-sip

  software-properties-kde

Sugerowane pakiety:

  python-qt4-dbg

Następujące pakiety zostaną USUNIĘTE:

  apturl awn-applet-cpufreq banshee banshee-community-extensions

  banshee-extension-alarm banshee-extension-ampache

  banshee-extension-appindicator banshee-extension-awn

  banshee-extension-clutterflow banshee-extension-coverwallpaper

  banshee-extension-jamendo banshee-extension-karaoke

  banshee-extension-lastfmfingerprint banshee-extension-lcd

  banshee-extension-lirc banshee-extension-liveradio banshee-extension-lyrics

  banshee-extension-magnatune banshee-extension-mirage

  banshee-extension-openvp banshee-extension-radiostationfetcher

  banshee-extension-randombylastfm banshee-extension-soundmenu

  banshee-extension-streamrecorder banshee-extension-ubuntuonemusicstore

  banshee-extension-zeitgeistdataprovider banshee-extensions-common brasero

  eog eog-plugins epiphany-browser evince gnome-applets gnome-codec-install

  gnome-control-center gnome-icon-theme gnome-panel gnome-screensaver

  gnome-themes-ubuntu humanity-icon-theme indicator-applet

  indicator-applet-appmenu indicator-applet-complete indicator-applet-session

  indicator-weather light-themes pitivi simple-scan software-center

  system-config-printer-gnome totem totem-mozilla totem-plugin-arte

  totem-plugins totem-plugins-extra ubuntu-artwork ubuntu-desktop ubuntu-mono

  unity unity-asset-pool xul-ext-ubufox

Zostaną zainstalowane następujące NOWE pakiety:

  akonadi-server apturl-kde kdepim-runtime kdepimlibs-kio-plugins kdesudo

  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4

  libakonadiprotocolinternals1 libboost-program-options1.42.0 libkabc4

  libkcal4 libkimap4 libkldap4 libkmime4 libknewstuff2-4 libkpimutils4

  libkprintutils4 libkresources4 libmailtransport4 libmicroblog4 libqt4-help

  libqt4-scripttools libqt4-test libqtassistantclient4 mysql-client-core-5.1

  mysql-server-core-5.1 python-kde4 python-qt4 python-sip

  software-properties-kde

0 aktualizowanych, 32 nowo instalowanych, 61 usuwanych i 0 nieaktualizowanych.

5 nie w pełni zainstalowanych lub usuniętych.

Konieczne pobranie 19,7 MB archiwów.

Po tej operacji zostanie dodatkowo użyte 737 kB miejsca na dysku.

Kontynuować [T/n]?

Gdy wklepię mu komendę do usuwania, wyskakuje coś takiego. Pakować się w to, czy wtedy już całkiem wszystko się namiesza :wink:?


(LeserGD) #19

W ubu 10.04 usunięcie pakietu gnome-icon-theme chce wywalić połowę gnoma :-/

Może po prostu jakiegoś update'a w repo zrobili i im do końca nie wyszło, a to że został zainstalowany gnome3 to tylko zbieg okoliczności.


(sla17) #20

Możliwe, no na wiedzy na ten temat nie mam, bo system mam dopiero od kilku dni :wink:

Ale - po starcie systemu już nic nie wyskakuje, czyli coś się zmieniło :smiley: